Package be.fgov.ehealth.ehbox.core.v3

# Class ContentInfoType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.ContentInfoType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class ContentInfoType extends Object implements Serializable
Info about the message content, without transmitting everything

Java class for ContentInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EncryptableINSSPatient" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="Title">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="400"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MimeType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="255"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="HasFreeInformations" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="HasAnnex" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getEncryptableINSSPatient()`
  If IsEncrypted == True, this MUST contain encrypted content.
  `String`
  `getMimeType()`
  Gets the value of the mimeType property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `boolean`
  `isHasAnnex()`
  Gets the value of the hasAnnex property.
  `boolean`
  `isHasFreeInformations()`
  Gets the value of the hasFreeInformations property.
  `void`
  `setEncryptableINSSPatient(byte[] value)`
  Sets the value of the encryptableINSSPatient property.
  `void`
  `setHasAnnex(boolean value)`
  Sets the value of the hasAnnex property.
  `void`
  `setHasFreeInformations(boolean value)`
  Sets the value of the hasFreeInformations property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContentInfoType

    public ContentInfoType()

- ## Method Details

  - ### getEncryptableINSSPatient

    public byte[] getEncryptableINSSPatient()
    If IsEncrypted == True, this MUST contain encrypted content.
    Returns:
      possible object is byte[]

  - ### setEncryptableINSSPatient

    public void setEncryptableINSSPatient(byte[] value)
    Sets the value of the encryptableINSSPatient property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getEncryptableINSSPatient()`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMimeType

    public String getMimeType()
    Gets the value of the mimeType property.
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`

  - ### isHasFreeInformations

    public boolean isHasFreeInformations()
    Gets the value of the hasFreeInformations property.

  - ### setHasFreeInformations

    public void setHasFreeInformations(boolean value)
    Sets the value of the hasFreeInformations property.

  - ### isHasAnnex

    public boolean isHasAnnex()
    Gets the value of the hasAnnex property.

  - ### setHasAnnex

    public void setHasAnnex(boolean value)
    Sets the value of the hasAnnex property.